#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	webcamoid
Version		:	9.2.3
Release		:	17.2.0.rel%{?dist}
Summary		:	The ultimate webcam suite

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv3+
URL		:	https://github.com/webcamoid/webcamoid/releases
			# git archive --format tar --prefix=webcamoid-9.0.0.2db4d3d/ HEAD | gzip > ../webcamoid-9.0.0.2db4d3d.tar.gz

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
Buildrequires	:	desktop-file-utils
#Buildrequires	:	ffmpeg-4-devel
Buildrequires	:	ffmpeg-devel
BuildRequires	:	mesa-devel
BuildRequires	:	jack2-devel
BuildRequires	:	libusb
BuildRequires	:	libv4l-devel
BuildRequires	:	pipewire-devel
BuildRequires	:	qt6-qtbase-devel
BuildRequires	:	qt6-qttools-devel
BuildRequires	:	qt6-qtdeclarative-devel
BuildRequires	:	qt6-qtsvg-devel
BuildRequires	:	vlc

Requires(post)	:	%{_bindir}/update-desktop-database
#-----------------------------------------------------------------------------
%description
'%{name}' is is a full featured and multiplatform webcam suite.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS README.md
%license COPYING
%{_bindir}/%{name}
%{_libdir}/libavkys.so*
%{_libdir}/qt/plugins/avkys/*.so
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/metainfo/io.github.%{name}.Webcamoid.metainfo.xml
%{_datadir}/licenses/%{name}/COPYING
%{_mandir}/man1/%{name}.1.gz

#-----------------------------------------------------------------------------
%post
%{_bindir}/gtk-update-icon-cache -t --quiet %{_datadir}/icons/hicolor > /dev/null 2>&1

%postun
if [ "$1" = 0 ]; then
  mkdir -p %{_datadir}/icons/hicolor > /dev/null 2>&1
  %{_bindir}/gtk-update-icon-cache -t --quiet %{_datadir}/icons/hicolor > /dev/null 2>&1
  fi

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

cmake							\
	-S .						\
	-B build					\
	-D CMAKE_BUILD_TYPE=Release			\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}		\

cmake							\
	--build build					\
	--parallel %(/usr/bin/getconf _NPROCESSORS_ONLN)\


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	-C build					\
	DESTDIR=%{buildroot}				\
	install

desktop-file-install   					\
	--delete-original				\
	--dir %{buildroot}%{_datadir}/applications 	\
	%{buildroot}%{_datadir}/applications/*.desktop 

#-----------------------------------------------------------------------------
%changelog

